This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 159166 - NullPointerException at com.sun.tools.javac.comp.Lower.visitApply
Summary: NullPointerException at com.sun.tools.javac.comp.Lower.visitApply
Status: RESOLVED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Compiler (show other bugs)
Version: 6.x
Hardware: All All
: P3 blocker (vote)
Assignee: Dusan Balek
URL: http://statistics.netbeans.org/except...
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-25 19:25 UTC by ayermolayev
Modified: 2009-04-30 07:35 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Exception Reporter: 123635


Attachments
stacktrace (5.12 KB, text/plain)
2009-02-25 19:26 UTC, ayermolayev
Details
This file does contain Rocket Software intellectual property. Do not use without proper permission. (3.03 KB, text/plain)
2009-03-02 21:03 UTC, ayermolayev
Details
stacktrace (5.04 KB, text/plain)
2009-03-23 22:35 UTC, ayermolayev
Details
stacktrace (4.47 KB, text/plain)
2009-04-24 18:58 UTC, misterm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ayermolayev 2009-02-25 19:25:57 UTC
Build: NetBeans IDE 6.5 (Build 200811100001)
VM: Java HotSpot(TM) Client VM, 1.5.0_17-b04, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_17-b04
OS: Windows XP, 5.1, x86

User Comments:
GUEST: I'm not sure exactly. I just noticed the error icon while i was altering a class. The error didn't get in the way at all, as far as i could tell.

ayermolayev: CVS update

GUEST: Just wanted to open a java source code file by douple clicking it in projects view.

GUEST: I did a ritght clic on a file node, and choosed "delete "



Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitApply(Lower.java:2485)
        at com.sun.tools.javac.tree.JCTree$JCMethodInvocation.accept(JCTree.java:1300)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.tree.TreeTranslator.visitExec(TreeTranslator.java:242)
        at com.sun.tools.javac.tree.JCTree$JCExpressionStatement.accept(JCTree.java:1146)
Comment 1 ayermolayev 2009-02-25 19:26:10 UTC
Created attachment 77376 [details]
stacktrace
Comment 2 Jiri Prox 2009-02-26 11:04:18 UTC
Can you please attach file M:/src/nm/com/rocketsoft/nm/actions/ActionDispatchRuleType.java
thanks
Comment 3 ayermolayev 2009-03-02 21:03:21 UTC
Created attachment 77576 [details]
This file does contain Rocket Software intellectual property. Do not use without proper permission.
Comment 4 Exceptions Reporter 2009-03-23 22:34:24 UTC
This issue has already 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=123635
Comment 5 ayermolayev 2009-03-23 22:35:24 UTC
Build: NetBeans IDE 6.5 (Build 200811100001)
VM: Java HotSpot(TM) Client VM, 1.5.0_17-b04, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_17-b04
OS: Windows XP, 5.1, x86

User Comments: 
nothing, after I opened a project it started scanning and failed

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitApply(Lower.java:2485)
        at com.sun.tools.javac.tree.JCTree$JCMethodInvocation.accept(JCTree.java:1300)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.tree.TreeTranslator.visitExec(TreeTranslator.java:242)
        at com.sun.tools.javac.tree.JCTree$JCExpressionStatement.accept(JCTree.java:1146)
Comment 6 ayermolayev 2009-03-23 22:35:29 UTC
Created attachment 78702 [details]
stacktrace
Comment 7 Dusan Balek 2009-03-24 11:50:27 UTC
Could you please try to reproduce the issue in the current dev build? It should be fixed there. Thanks.
Comment 8 misterm 2009-04-24 18:58:54 UTC
Build: NetBeans IDE Dev (Build 090424)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Windows XP, 5.1, x86

User Comments: 
Just hitting alt+shift+i after Enum in:

package something;

public final class Something extends Enum{
}

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitApply(Lower.java:2547)
        at com.sun.tools.javac.tree.JCTree$JCMethodInvocation.accept(JCTree.java:1299)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1919)
        at com.sun.tools.javac.tree.TreeTranslator.visitExec(TreeTranslator.java:242)
        at com.sun.tools.javac.tree.JCTree$JCExpressionStatement.accept(JCTree.java:1145)
Comment 9 misterm 2009-04-24 18:58:58 UTC
Created attachment 80881 [details]
stacktrace
Comment 10 Dusan Balek 2009-04-29 13:18:27 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/bcd1ea2f60c4
changeset d3aef955d7a3 in main/nb-javac
details: http://hg.netbeans.org/main/nb-javac?cmd=changeset;node=d3aef955d7a3
Comment 11 Quality Engineering 2009-04-30 07:35:57 UTC
Integrated into 'main-golden', will be available in build *200904300201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/bcd1ea2f60c4
User: Dusan Balek <dbalek@netbeans.org>
Log: Issues #159166, #163746, and #163967 fixed.